Contenu | Rechercher | Menus

Annonce

Toute l'équipe d'ubuntu-fr vous souhaite un joyeux Noël et une bonne et heureuse année 2018.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#26 Le 07/12/2017, à 13:56

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Merci, et désolé pour le travail que cela peut occasionner. Ma consolation, que cette suite d'aléas puisse servir à quelqu'un.

Hors ligne

#27 Le 07/12/2017, à 15:42

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

joel49 a écrit :

Merci, et désolé pour le travail que cela peut occasionner. Ma consolation, que cette suite d'aléas puisse servir à quelqu'un.

Ne sois pas désolé, au moins ça me permet d'améliorer le produit.
La nouvelle version est disponible sous ce lien
Avec ça, j'espère que ton scanner fonctionnera...


Desktop: MSI - Ubuntu 17.10 - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Ubuntu 17.10 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - HDD 1 To

Mon site: Les contributions du bipède

Hors ligne

#28 Le 07/12/2017, à 22:57

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,



Ce n'est pas encore pour cette fois:

joel@joelUbuntu:~/Téléchargements/paprass-src$ ./paprass.py

Traceback (most recent call last):

  File "/usr/lib/python3.5/configparser.py", line 786, in get

    value = d[option]

  File "/usr/lib/python3.5/collections/init.py", line 878, in getitem

    return self.__missing__(key)            # support subclasses that define __missing__

  File "/usr/lib/python3.5/collections/init.py", line 870, in missing

    raise KeyError(key)

KeyError: 'model'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "./paprass.py", line 236, in onScan

    scan = scanner.getScanner(self, cfg)

  File "/home/joel/Téléchargements/paprass-src/scanner.py", line 38, in getScanner

    scanner['model'] = config.get("scanner", "model")

  File "/usr/lib/python3.5/configparser.py", line 789, in get

    raise NoOptionError(option, section)

configparser.NoOptionError: No option 'model' in section: 'scanner'

Hors ligne

#29 Le 08/12/2017, à 08:46

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

C'est vraisemblablement du à tes tentatives précédentes et un fichier de config doit être vérolé.
Vas dans le dossier /home/joel/.paprass et supprime le fichier paprass.cfg
Pour voir le dossier depuis Nautilus tu dois activer la visualisation des fichiers cachés.
sinon depuis un terminal tu te positionnes dans le dossier:

cd .paprass

puis tu supprimes

rm paprass.cfg

Ensuite tu relances Paprass et il va reconfigurer le scanner.

Dernière modification par bipede (Le 08/12/2017, à 08:46)


Desktop: MSI - Ubuntu 17.10 - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Ubuntu 17.10 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - HDD 1 To

Mon site: Les contributions du bipède

Hors ligne

#30 Le 08/12/2017, à 10:39

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

bipede

C'est vraisemblablement du à tes tentatives précédentes et un fichier de config doit être vérolé.

C'est avec plaisir que je t'annonce que tout fonctionne parfaitement.

Plusieurs tentatives ont été nécessaires; j'ai viré dans les fichiers cachés tout ce qui concernait « paprass », et la reconnaissance de mon scanner s'est faite par la suite.

Je passe maintenant en mode découverte.

Encore tous mes remerciements pour ta disponibilité et la création de ce programme qui est d'une utilité certaine.

Hors ligne

#31 Le 08/12/2017, à 11:44

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

joel49 a écrit :

Bonjour,

Je passe maintenant en mode découverte.

Encore tous mes remerciements pour ta disponibilité et la création de ce programme qui est d'une utilité certaine.

C'est moi qui te remercie pour ta pugnacité qui m'a permis de fiabiliser le module de reconnaissance du scanner.

À+


Desktop: MSI - Ubuntu 17.10 - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Ubuntu 17.10 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - HDD 1 To

Mon site: Les contributions du bipède

Hors ligne

#32 Le 19/12/2017, à 20:35

hr

Re : Nouvelle version de Pap'rass (gestion documentaire)

Je n’ai pas eu le temps de m’y remettre avant aujourd’hui mais cette fois j’ai pu lancer la nouvelle version avec

./paprass.py

et classer quelques documents pour comprendre le fonctionnement général.

J’ai créé un Paprass.desktop pour lancer l’application classiquement, c’est à dire depuis le lanceur.

Ça m’a l’air pas mal du tout jusqu’ici, du moins fonctionnellement mais bizarrement le texte des documents en PDF est presque illisible, que le PDF soit créé directement ou importé. Les images sont affichées correctement, par contre.
Je vais continuer à l’essayer avec divers documents.

Dernière modification par hr (Le 19/12/2017, à 20:36)


Trois PC de bureau et un MacBook, tous datant des environs de 2006 et tournant en Ubuntu 16.04 64 bits

Hors ligne

#33 Le 21/12/2017, à 10:36

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

@hr
J'ai mis en ligne une nouvelle révision de Paprass (5.03) dans laquelle j'ai optimisé l'affichage des PDF. Ce n'est pas encore nickel mais c'est quand même meilleur. Je peux difficilement faire mieux car je suis limité par les contraintes liées à la lib popplerQt5.
J'en ai profité pour éliminer un bug lié au renommage d'un document depuis le module de recherche...
Les sources peuvent être récupérés sous ce lien.
Le binaire se trouve sous ce lien.
Il suffit de décompresser et de remplacer purement et simplement le répertoire de l'ancienne version.
Les données sont préservées sous ~/.paprass et sont reprises automatiquement à chaque changement de version.


Desktop: MSI - Ubuntu 17.10 - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Ubuntu 17.10 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - HDD 1 To

Mon site: Les contributions du bipède

Hors ligne

#34 Le 26/12/2017, à 20:17

hr

Re : Nouvelle version de Pap'rass (gestion documentaire)

J’ai essayé mais j’ai de nouveau le même problème de GLIBC_2.25

Mais ensuite j’ai téléchargé ta version 5.4 en source et là ça a marché.
Oui les textes des pdf sont plus lisibles. Ça reste un peu gribouilleux mais c’est un léger progrès.

Dernière modification par hr (Le 26/12/2017, à 20:38)


Trois PC de bureau et un MacBook, tous datant des environs de 2006 et tournant en Ubuntu 16.04 64 bits

Hors ligne

#35 Le 27/12/2017, à 10:58

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

hr a écrit :

Oui les textes des pdf sont plus lisibles. Ça reste un peu gribouilleux mais c’est un léger progrès.

Quand tu zoomes avec la mollette de la souris c'est bien plus lisible...


Desktop: MSI - Ubuntu 17.10 - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Ubuntu 17.10 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - HDD 1 To

Mon site: Les contributions du bipède

Hors ligne

#36 Le 17/01/2018, à 14:30

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

Depuis deux jours, je suis incapable de lancer Paprass. Ci-joint le message d'erreur.

joel@joelUbuntu:~/Documents/Paprass$ ./Paprass

[19687] Error loading Python lib '/home/joel/Documents/Paprass/libpython3.6m.so.1.0': dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /home/joel/Documents/Paprass/libpython3.6m.so.1.0)

joel@joelUbuntu:~/Documents/Paprass$ 

La dernière fois que j'ai utilisé Paprass remonte à une quinzaine de jours, et aucuns soucis notables. Très certainement que durant ce laps de temps quelques «mises à jour» sont venues perturber l'ambiance.(ce n'est qu'une simple supposition car je suis bien incapable de cerner l'origine du problème).

À priori GLIB 2.25 semble être la version attendue,...bref, je ne vois pas comment solutionner l'affaire.

Ps; il n'y a aucune urgence dans la résolution éventuelle du problème. Merci de m'avoir lu.

Dernière modification par joel49 (Le 17/01/2018, à 14:31)

Hors ligne